CUPTI (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.22. CUpti_ActivityInstantaneousMetric Struct Reference

## [CUPTI Activity API]

This activity record represents the collection of a CUPTI metric value (CUPTI_ACTIVITY_KIND_METRIC) at a particular instance. This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profiler frameworks built on top of CUPTI that collect metric data may choose to use this type to store the collected metric data.

### Public Variables

uint32_t deviceId
uint8_t flags
CUpti_MetricID id
CUpti_ActivityKind kind
uint8_t pad[3]
uint64_t timestamp
union CUpti_MetricValue value

### Variables

uint32_t CUpti_ActivityInstantaneousMetric::deviceId [inherited]

  The device id

uint8_t CUpti_ActivityInstantaneousMetric::flags [inherited]

  The properties of this metric.

  See also:

  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityInstantaneousMetric::id [inherited]

  The metric ID.

CUpti_ActivityKind CUpti_ActivityInstantaneousMetric::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTANTANEOUS_METRIC.

uint8_t CUpti_ActivityInstantaneousMetric::pad[3] [inherited]

  Undefined. reserved for internal use

uint64_t CUpti_ActivityInstantaneousMetric::timestamp [inherited]

  The timestamp at which metric is sampled

union CUpti_MetricValue CUpti_ActivityInstantaneousMetric::value [inherited]

  The metric value.